Get Asset IPs

Retrieves a list of asset IP addresses.

Required Permissions

Requires the MEMBER role or higher.

HTTP Request

GET /api/sonar/ip-addresses
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/ip-addresses?keywords=192.168.10.100&priorities=3&limit=100"
Request Parameters
KeyRequiredTypeDescriptionNote
offsetX32-bit integerNumber of items to skipDefault: 0
limitX32-bit integerMaximum number of itemsRetrieves all if not specified
guidsXString arrayIP address GUID listComma-separated
keywordsXString arraySearch keywordsSearches IP address, hostname, workgroup, contact name, description
categoriesXString arrayCategory GUID listComma-separated
prioritiesXInteger arrayPriority levelsOne of low, medium, high
site_namesXString arraySite name listComma-separated
site_guidsXString arraySite GUID listComma-separated

Success Response

{
  "addresses": [
    {
      "guid": "56654243-bd42-4b67-b21d-3cb21a86c09e",
      "ip": "192.1.1.1",
      "category_name": null,
      "category_guid": null,
      "hostname": "",
      "workgroup": "",
      "description": "Low priority",
      "priority": "low",
      "confidentiality": "low",
      "integrity": "low",
      "availability": "low",
      "emp_name": "John Doe",
      "emp_name2": null,
      "emp_guid": "8d352716-cc2e-4e9b-8e00-4cc707ef78fe",
      "emp_guid2": null,
      "emp_key": "00001",
      "emp_key2": null,
      "dept_name": "Development Team 2",
      "dept_name2": null,
      "os_name": "",
      "os_ver": "",
      "created": "2025-08-13 21:31:55+0900",
      "updated": "2025-08-14 10:16:57+0900",
      "mac": "",
      "location": "",
      "installed": null,
      "site_guid": null,
      "site_name": null,
      "ext0": null,
      "ext1": null,
      "ext2": null,
      "ext3": null,
      "ext4": null,
      "ext5": null,
      "ext6": null,
      "ext7": null,
      "ext8": null,
      "ext9": null
    }
  ],
  "total": 11
}
  • total (64-bit integer): Total number of IP addresses matching the search criteria
  • addresses (Array): IP address list
    • guid (String): IP address unique identifier
    • ip (String): IP address
    • category_name (String): Category name
    • category_guid (String): Category GUID
    • hostname (String): Hostname
    • workgroup (String): Workgroup
    • description (String): Description
    • priority (String): Priority (low, medium, high)
    • confidentiality (String): Confidentiality (low, medium, high)
    • integrity (String): Integrity (low, medium, high)
    • availability (String): Availability (low, medium, high)
    • emp_name (String): Primary contact name
    • emp_name2 (String): Secondary contact name
    • emp_guid (String): Primary contact GUID
    • emp_guid2 (String): Secondary contact GUID
    • emp_key (String): Primary contact key
    • emp_key2 (String): Secondary contact key
    • dept_name (String): Primary department name
    • dept_name2 (String): Secondary department name
    • os_name (String): Operating system name
    • os_ver (String): Operating system version
    • created (String): Created date and time (yyyy-MM-dd HH:mm:ssZ format)
    • updated (String): Updated date and time (yyyy-MM-dd HH:mm:ssZ format)
    • mac (String): MAC address
    • location (String): Installation location
    • installed (String): Installation date and time (yyyy-MM-dd HH:mm:ssZ format)
    • site_guid (String): Site GUID
    • site_name (String): Site name
    • ext0~ext9 (String): Extension fields (10 fields)

Error Responses

offset or limit is not an integer

HTTP status code 400

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
offset or limit is negative

HTTP status code 400

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be greater than or equal to 0."
}
Invalid priorities value

HTTP status code 400

{
  "error_code": "invalid-argument",
  "error_msg": "'priority' should be one of 'low', 'medium', 'high'."
}
Invalid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
No permission

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}